package Control;

import Entity.News;
import Model.NewsModel;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;

/*
	 * Copyright (C) 2013 Arash Khangaldi (http://www.arashit.ir)
	 *
	 * Licensed under the Apache License, Version 2.0 (the "License");
	 * you may not use this file except in compliance with the License.
	 * You may obtain a copy of the License at
	 *
	 *      http://www.apache.org/licenses/LICENSE-2.0
	 * Unless required by applicable law or agreed to in writing, software
	 * distributed under the License is distributed on an "AS IS" BASIS,
	 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
	 * See the License for the specific language governing permissions and
	 * limitations under the License.
	 */
public class NewsControler {
    String stringNews;
    ArrayList<News> newses = new ArrayList<News>();

    public ArrayList<News> getLatestNews() throws JSONException {

        JSONArray jsonArray = getLatestNewsArray();
        News news = new News();
        JSONObject jsonObject = new JSONObject();

        for (int i = 0;i < jsonArray.length();i++){
            jsonObject = new JSONObject();
            jsonObject = jsonArray.getJSONObject(i);
            news = new News();
            news.setComment_count(jsonObject.getString("comments_count"));
            news.setContent(jsonObject.getString("content"));
            news.setTitle(jsonObject.getString("title"));
            news.setAuthor(jsonObject.getString("author"));
            news.setStory(jsonObject.getString("story_url"));
            news.setId(jsonObject.getString("id"));
            newses.add(news);
        }
        return newses;
    }

    private JSONArray getLatestNewsArray() throws JSONException {
        NewsModel nm = new NewsModel();
        JSONArray jsonArrayNews = null;
                    jsonArrayNews = new JSONArray(nm.getLatestNews());

        return jsonArrayNews;
    }
}
